shadow/tests/su/03/su_run_command13.test
Serge Hallyn fa90ac11c8 su/03: export shell = sh
Otherwise our su -p uses bash if that is what root was
configured to use, and then fails to read /root/ for
.bash_profile.  This caused an unexpected error message
in /tmp/err, failing the test.

Signed-off-by: Serge Hallyn <serge@hallyn.com>
2021-04-16 21:03:08 -05:00

52 lines
841 B
Bash
Executable File

#!/bin/sh
set -e
cd $(dirname $0)
. ../../common/config.sh
. ../../common/log.sh
log_start "$0" "Running commands (check working directory): su -p -c pwd -- - myuser"
save_config
# restore the files on exit
trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
export SHELL=/bin/sh
echo "/bin/su -p -c pwd -- - myuser> tmp/out 2> tmp/err"
/bin/su -p -c pwd -- - myuser> tmp/out 2> tmp/err
echo -n "Checking tmp/out..."
case "$(cat tmp/out)" in
*/su/03)
echo "OK"
;;
*)
echo "FAIL"
echo "working directory: '$(cat tmp/out)' instead of '.../su/03'"
rm -f tmp/out
false
;;
esac
rm -f tmp/out
echo -n "Checking tmp/err..."
[ "$(wc -c tmp/err)" = "0 tmp/err" ] || {
echo "FAIL"
echo "tmp/err is not empty:"
cat tmp/err
false
}
rm -f tmp/err
echo "OK"
log_status "$0" "SUCCESS"
restore_config
trap '' 0